#
# spec file for package python3-nose-parameterized
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-nose-parameterized
Version:        0.5.0
Release:        1.6
Summary:        Parameterized testing with any Python test framework
License:        BSD-3-Clause
Group:          Development/Languages/Python
Url:            https://pypi.python.org/pypi/nose-parameterized/
Source:         nose-parameterized-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRequires:  python3-nose
Requires:       python3-nose
BuildArch:      noarch

%description
Parameterized testing in Python sucks. nose-parameterized fixes that. For everything. Parameterized testing for nose, parameterized testing for py.test, parameterized testing for unittest.

%prep
%setup -q -n nose-parameterized-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
nosetests

%files
%defattr(-,root,root,-)
%doc README.rst
%{python3_sitelib}/*

%changelog
* Mon Feb 13 2017 matwey.kornilov@gmail.com
- Initial version
